package sun.security.provider.certpath;

import java.util.Date;
import java.security.cert.X509CRLSelector;
import sun.security.x509.GeneralNameInterface;
import java.util.Set;
import java.security.cert.X509CertSelector;

public abstract class CertPathHelper
{
    protected static CertPathHelper instance;
    
    protected CertPathHelper() {
    }
    
    protected abstract void implSetPathToNames(X509CertSelector p0, Set<GeneralNameInterface> p1);
    
    protected abstract void implSetDateAndTime(X509CRLSelector p0, Date p1, long p2);
    
    static void setPathToNames(X509CertSelector x509CertSelector, Set<GeneralNameInterface> set) {
        CertPathHelper.instance.implSetPathToNames(x509CertSelector, set);
    }
    
    public static void setDateAndTime(X509CRLSelector x509CRLSelector, Date date, long n) {
        CertPathHelper.instance.implSetDateAndTime(x509CRLSelector, date, n);
    }
}
